Bug 116298 - RPM dependency problem between cms & content types
RPM dependency problem between cms & content types
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 16:01 EST by Jon Orris
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 11:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-02-19 16:01:14 EST
Description of problem:
RPM dependencies aren't correct between cms and the content types.


[root@goodeats autobuild]# yum -y install ccm-core ccm-cms
ccm-cms-types-article
Gathering header information file(s) from server(s)
Server: Autobuild
Finding updated packages
Downloading needed headers
Resolving dependencies
....Unable to satisfy dependencies
Package ccm-cms-types-article needs ccm-cms = 6.1.0, this is not
available.

cms will install by itself fine.
[root@goodeats autobuild]# yum -y install ccm-core ccm-cms
Gathering header information file(s) from server(s)
Server: Autobuild
Finding updated packages
Downloading needed headers
Resolving dependencies
Dependencies resolved
I will do the following:
[install: ccm-core 6.1.0.AUTO.40589-4.noarch]
[install: ccm-cms 6.1.0.AUTO.40589-4.noarch]
Getting ccm-core-6.1.0.AUTO.40589-4.noarch.rpm
ccm-core-6.1.0.AUTO.40589 100% |=========================| 8.7 MB    00:01
Getting ccm-cms-6.1.0.AUTO.40589-4.noarch.rpm
ccm-cms-6.1.0.AUTO.40589- 100% |=========================| 1.8 MB    00:00
Running test transaction:
Test transaction complete, Success!
ccm-core 100 % done 1/2
ccm-cms 100 % done 2/2
Installed:  ccm-core 6.1.0.AUTO.40589-4.noarch ccm-cms
6.1.0.AUTO.40589-4.noarch
Transaction(s) Complete
Comment 1 Daniel Berrange 2004-02-20 05:27:13 EST
I believe this is expected & desired behaviour from auto-build RPMs.
Since these are not formal builds, we munge the version number so that
the dependancies will only work with packages from the same run of the
auto-build. So, it looks like you have a previous install of
'ccm-cms-types-article' from an old auto-build run, which can't be
upgraded to work with ccm-cms from the new auto-build run.
Comment 2 Dennis Gregorovic 2004-03-15 03:19:06 EST
@41308
Comment 3 Dennis Gregorovic 2005-03-17 11:56:22 EST
closing old tickets

Note You need to log in before you can comment on or make changes to this bug.